import { OnInit } from "@angular/core";
import { AxiosApiClient, CalendarEntryDto } from "@smallstack/axios-api-client";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class EventsWidgetComponent extends BaseWidgetComponent implements OnInit {
    private axiosApiClient;
    totalCalendarEntriesCount: number;
    calendarEntries: CalendarEntryDto[];
    loadingDone: boolean;
    displayedColumns: string[];
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(axiosApiClient: AxiosApiClient);
    ngOnInit(): void;
    loadEvents(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EventsWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EventsWidgetComponent, "events-widget", never, {}, {}, never, never, false, never>;
}
