import { DomSanitizer, SafeHtml } from "@angular/platform-browser";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import { TextManipulationService } from "../../../services/text-manipulation.service";
import * as i0 from "@angular/core";
export declare class HtmlContextWidgetComponent extends BaseWidgetComponent {
    private sanitizer;
    private textManipulationService;
    html: string | SafeHtml;
    showContext: boolean;
    flattenedContext: any;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(sanitizer: DomSanitizer, textManipulationService: TextManipulationService);
    private processData;
    private getProcessedTemplate;
    static ɵfac: i0.ɵɵFactoryDeclaration<HtmlContextWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<HtmlContextWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
