import { DomSanitizer, SafeResourceUrl } from "@angular/platform-browser";
import { ApplicationBridge } from "@smallstack/application-shared";
import { SchemaFormSchema } from "@smallstack/form-shared";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class IFrameWidgetComponent extends BaseWidgetComponent {
    private sanitizer;
    applicationBridge: ApplicationBridge;
    constructor(sanitizer: DomSanitizer, applicationBridge: ApplicationBridge);
    static getConfiguration(): SchemaFormSchema;
    getUrl(): SafeResourceUrl;
    static ɵfac: i0.ɵɵFactoryDeclaration<IFrameWidgetComponent, [null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IFrameWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
