import { OnInit } from "@angular/core";
import { DomSanitizer, SafeHtml } from "@angular/platform-browser";
import { ActivatedRoute, Router } from "@angular/router";
import { RouterUtilService, StoreRegistry } from "@smallstack/common-components";
import { PageableStore } from "@smallstack/store";
import { BaseWidgetComponent, WidgetConfigurationSchema } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class GridListViewWidgetComponent extends BaseWidgetComponent implements OnInit {
    private storeRegistry;
    private sanitizer;
    private router;
    private activatedRoute;
    private routerUtilService;
    store: PageableStore;
    static getConfiguration(): WidgetConfigurationSchema;
    constructor(storeRegistry: StoreRegistry, sanitizer: DomSanitizer, router: Router, activatedRoute: ActivatedRoute, routerUtilService: RouterUtilService);
    ngOnInit(): void;
    getProcessedTemplate(elem: unknown): SafeHtml;
    getLink(id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridListViewWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridListViewWidgetComponent, "ng-component", never, {}, {}, never, never, false, never>;
}
